clear all; clc; close all

%%

load('Prescribed_Data.mat')
D = 240;
%%

TUcolors = [12, 35, 64 ; 
            0, 184, 200;
            0, 118, 194;
            111, 29, 119;
            239, 96, 163;
            165, 0, 52;
            224, 60, 49;
            237, 104, 66;
            255, 184, 28;
            108, 194, 74;
            0, 155, 119;
            0, 166, 214]/256;

height_scale = 1.5;
width = 18.2;
height = width/height_scale;

fig = figure('Units', 'centimeters', 'pos', [-1 1 width height/height_scale],'color','w');
plot(x./D,mean(squeeze(Velocities(1,1,:,:)),1),'Color',TUcolors(1,:),'Linewidth',1.5)
hold on
plot(x./D,mean(squeeze(Velocities(1,2,:,:)),1),'Color',TUcolors(2,:),'Linewidth',1.5)
plot(x./D,mean(squeeze(Velocities(1,3,:,:)),1),'--','Color',TUcolors(2,:),'Linewidth',1.5)
plot(x./D,mean(squeeze(Velocities(1,4,:,:)),1),'--','Color',TUcolors(6,:),'Linewidth',1.5)
plot(x./D,mean(squeeze(Velocities(1,5,:,:)),1),'--','Color',TUcolors(9,:),'Linewidth',1.5)
plot(x./D,mean(squeeze(Velocities(1,6,:,:)),1),'--','Color',TUcolors(11,:),'Linewidth',1.5)
leg = legend('Baseline','Helix Bottom-Fixed','Helix $$0^{\circ}$$ Offset','Helix $$90^{\circ}$$ Offset'...
    ,'Helix $$180^{\circ}$$ Offset','Helix $$270^{\circ}$$ Offset','Interpreter','latex','Fontsize',10);
leg.ItemTokenSize = [20,6];
leg.NumColumns = 3;
legend('boxoff')
pos = get(leg,'Position');
set(leg,'Position',[0.175 0.8 pos(3) pos(4)])
grid on
ax = gca;
ax.FontSize = 10; 
set(gca,'TickLabelInterpreter','latex')
ylabel('Wind Speed [m/s]','Interpreter','latex','FontSize',12)
xlabel('Distance [D]','Interpreter','latex','FontSize',12)
xlim([-1 6])
exportgraphics(gcf,'Prescribed_Motion.pdf','ContentType','vector')